Module kyotocabinet :: Class Visitor

[frames] | no frames]

# Class Visitor

Interface to access a record.

Instance Methods

visit_full(self, key, value) Visit a record. |

visit_empty(self, key) Visit a empty record space. |

Class Variables
| NOP = ``'``(magic data)``'`` magic data: no operation.
| REMOVE = ``'``(magic data)``'`` magic data: remove the record.

Method Details

### visit_full(self, key, value)

Visit a record.

Parameters:
  - `key` - the key.
  - `value` - the value.
Returns:
  If it is a string, the value is replaced by the content. If it is Visitor.NOP, nothing is modified. If it is Visitor.REMOVE, the record is removed.

### visit_empty(self, key)

Visit a empty record space.

Parameters:
  - `key` - the key.
Returns:
  If it is a string, the value is replaced by the content. If it is Visitor.NOP or Visitor.REMOVE, nothing is modified.